Bug 1310546 - Drop php-pear dependency for pecl modules
Drop php-pear dependency for pecl modules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
ChangeAcceptedF24, SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 03:21 EST by Jan Kurik
Modified: 2016-09-29 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-22 03:21:16 EST
This is a tracking bug for Change: Drop php-pear dependency for pecl modules
For more details, see: https://fedoraproject.org//wiki/Changes/drop_pear_dep

All PECL packaged modules (php-pecl-*) have a unneeded runtime dependency on php-pear, for module registration in package scriptlets.
Comment 1 Jan Kurik 2016-02-24 09:26:17 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Remi Collet 2016-02-25 07:22:16 EST
Package:    php-5.6.18-2.fc24

* Tue Feb  9 2016 Remi Collet <remi@fedoraproject.org> 5.6.18-2
- define %%pecl_xmldir and own it (/var/lib/php/peclxml)

Package:    php-pear-1.10.1-3.fc24

* Wed Feb 10 2016 Remi Collet <remi@fedoraproject.org> 1:1.10.1-3
- use file triggers for pecl extensions (un)registration
- define %%pecl_install and %%pecl_uninstall as noop macro

Lot of pecl packages are already adapted:

* Wed Feb 10 2016 Remi Collet <remi@fedoraproject.org> - 1.6.1-2
- drop scriptlets (replaced file triggers in php-pear)

php-pecl-amqp
php-pecl-apcu
php-pecl-apfd
php-pecl-event
php-pecl-gearman
php-pecl-http
php-pecl-igbinary
php-pecl-json-post
php-pecl-jsonc
php-pecl-Judy
php-pecl-krb5
php-pecl-libsodium
php-pecl-mailparse
php-pecl-memcache
php-pecl-memcached
php-pecl-memprof
php-pecl-mongo
php-pecl-msgpack
php-pecl-mysqlnd-ms
php-pecl-mysqlnd-qc
php-pecl-ncurses
php-pecl-propro
php-pecl-radius
php-pecl-raphf
php-pecl-redis
php-pecl-rrd
php-pecl-solr
php-pecl-sphinx
php-pecl-ssdeep 	
php-pecl-uuid
php-pecl-xattr
php-pecl-xdebug
php-pecl-xhprof
php-pecl-yac
php-pecl-yaml
php-pecl-zip

For other packagers:

Example of fix: 

1/ big cleanup
http://pkgs.fedoraproject.org/cgit/rpms/php-pecl-apfd.git/commit/?id=6609efadbcb655932f8ab8bbe58116438baf3fa1

2/ conditional 

http://pkgs.fedoraproject.org/cgit/rpms/php-pecl-gearman.git/commit/?id=9f026a87eed60b0a9b865e9998d5692941937b55
Comment 3 Remi Collet 2016-02-25 12:48:43 EST
All remaining packages are now adapted:

php-pecl-cairo
php-pecl-geoip
php-pecl-gmagick
php-pecl-imagick
php-pecl-lzf
php-pecl-oauth
php-pecl-parsekit
php-pecl-runkit
php-pecl-selinux
php-pecl-ssh2
php-pecl-xmldiff
php-zmq

Note You need to log in before you can comment on or make changes to this bug.